﻿using System;
using System.Data;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using System.Globalization;

/// <summary>
/// Summary description for Library
/// </summary>
public class Library
{
     
    public string ID { get; set; }
    public string name { get; set; }
    public string englishName { get; set; }
    public string phone { get; set; }
    public string address { get; set; }
    public string addressExplained { get; set; }
    public double lat { get; set; }
    public double lon { get; set; }

	public Library(string ID, string name, string englishName, string phone, string address, string addressExplained, double lat, double lon)
	{
        //Changes the double number separator from ',' to '.'
        CultureInfo kultur = (CultureInfo)CultureInfo.CurrentCulture.Clone();
        kultur.NumberFormat.NumberDecimalSeparator = ".";
        System.Threading.Thread.CurrentThread.CurrentCulture = kultur;
        this.ID = ID;
        this.name = name;
        this.englishName = englishName;
        this.phone = phone;
        this.address = address;
        this.addressExplained = addressExplained;
        this.lat = lat;
        this.lon = lon;
	}
    public string generateMyBubleInfo()
    {
        return "<div><strong>" + this.ID + "</strong></div>" + "<div>" + this.addressExplained + "</div><div>" + this.phone + "</div>";
    }
}
