﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using System.IO;

public partial class documentSearch : System.Web.UI.Page
{

    string keywords;
    string resultingXml;
    ApplicationServer appServ;
    static readonly String API_KEY = "ABQIAAAAzEMobmJ-xNOj9NJ4pihr-BRsxsUbXDEINcItsHcZcU1F_T2rnxTa6A_6GqkE4xJ6IfEM4bfJ39twzw";
    string lat;
    string lon;

    protected void Page_Load(object sender, EventArgs e)
    {
        appServ = ApplicationServer.Instance;
        if (Request.QueryString["addressID"] != null)
        {
            string addressString = Request.QueryString["addressID"];
            string[] addressStringArray = addressString.Split(',');
            string totalString = "";
            string part = addressStringArray[0];
            string houseNumber = "";
            //If it is not specific, the housenumbered is just removed
            char[] addressArray = part.ToCharArray();
            int indexcounter = 0;
            
            totalString = addressStringArray[0];
            Session["addressID"] = totalString.Trim() + " " + houseNumber.Trim();
        }


    }

    protected string generateSearchResult()
    {
        keywords = Request.QueryString["queryText"];
        if (!string.IsNullOrEmpty(keywords))
        {
            resultingXml = appServ.documentSearch(keywords, lat, lon);
        
        if (resultingXml.ToLower().Contains("exception"))
        {
            Session["error"] = resultingXml;
            Response.Redirect(@"MainMenu.aspx");
        }
        }
        return resultingXml;
    }
    protected string generateLocatorScript()
    {
        lat = "";
        lon = "";
        string[] pointArray = getUserCoordinates();
        lat = pointArray[1];
        lon = pointArray[2];
        string returnstring =
            "";
        returnstring += @"
            <script src='http://maps.google.com/maps?file=api&amp;v=2&amp;key=" + API_KEY + @"' 
            type='text/javascript'></script>
            <script type='text/javascript'>
            ";
        returnstring += @"
        var geoCoder = new GClientGeocoder();
            var latlng = new GLatLng(" + lat.Replace(',', '.') + "," + lon.Replace(',', '.') + @");
            address = geoCoder.getLocations(latlng, writeAddress);
            
  </script>          
";
        return returnstring;

    }
    public string[] getUserCoordinates()
    {

        string[] resultArray = new string[4];
        string str;
        //Testing with manually entered values.
        //string[] returnArray = new string[2]{ Request.QueryString["userLat"], Request.QueryString["userLon"] };

        //Automatic fetching
        using (FileStream fs1 = new FileStream(@"C:\Inetpub\wwwroot\resources\datafiles\gps.txt", FileMode.Open, FileAccess.Read, FileShare.ReadWrite))
        {
            using (StreamReader rd1 = new StreamReader(fs1))
            {
                while ((str = rd1.ReadLine()) != null)
                {
                    resultArray = str.Split(';');
                }

            }
        }


        return resultArray;
    }

    protected string generateHeader()
    {
        return @"<script type='text/javascript'>
            var address;
            function writeAddress(response)
            {
                if (!response || response.Status.code != 200) {
                    //document.getElementById('addressID').innerHTML = 'GeoCodingError, statuscode: ' + response.Status.code;
                } else {
                    var place = response.Placemark[0];
                    address = place.address;
                    //document.getElementById('address').innerHTML = address;
                   //document.write(address);
                    document.forms['form1'].elements['addressID'].value = address;
                    //document.my_div.form1.addressID.value='vegamot';
                    //document.getElementById('addressID').value = 'vegamot2';
                }
            } </script>";
    }
}
